<?php

/**
 * @file
 * Install, update and uninstall functions for the Contact person module.
 */

use Drupal\Core\Field\BaseFieldDefinition;

/**
 * Implements hook_update_N().
 *
 * Add url field.
 */
function status_dashboard_update_9101() {
  $entity_definition_update = \Drupal::entityDefinitionUpdateManager();

  $storage_definition = BaseFieldDefinition::create('uri')
    ->setLabel(t('URL'))
    ->setDescription(t('Client web site url.'))
    ->setSettings([
      'default_value' => '',
      'max_length' => 100,
    ]);
  $entity_definition_update->installFieldStorageDefinition('url', 'client_site', 'status_dashboard', $storage_definition);

  $storage_definition = BaseFieldDefinition::create('entity_reference')
    ->setLabel(t('Dashboard tags'))
    ->setCardinality(BaseFieldDefinition::CARDINALITY_UNLIMITED)
    ->setSetting('target_type', 'taxonomy_term')
    ->setSetting('handler', 'default:taxonomy_term')
    ->setSetting('handler_settings',
      [
        'target_bundles' => [
          'dashboard_tags' => 'dashboard_tags',
        ],
      ])
    ->setDisplayOptions('view', [
      'label' => 'hidden',
      'type' => 'entity_reference_label',
      'weight' => 0,
    ])
    ->setDisplayOptions('form', [
      'type' => 'entity_reference_autocomplete_tags',
      'weight' => 3,
      'settings' => [
        'match_operator' => 'CONTAINS',
        'size' => '10',
        'autocomplete_type' => 'tags',
        'placeholder' => '',
      ],
    ])
    ->setDisplayConfigurable('form', TRUE)
    ->setDisplayConfigurable('view', TRUE);
  $entity_definition_update->installFieldStorageDefinition('tags', 'client_site', 'status_dashboard', $storage_definition);

  $storage_definition = BaseFieldDefinition::create('created')
    ->setLabel(t('Created'))
    ->setDescription(t('The time that the entity was created.'));
  $entity_definition_update->installFieldStorageDefinition('created', 'client_site', 'status_dashboard', $storage_definition);

  $storage_definition = BaseFieldDefinition::create('changed')
    ->setLabel(t('Changed'))
    ->setDescription(t('The time that the entity was last edited.'));
  $entity_definition_update->installFieldStorageDefinition('changed', 'client_site', 'status_dashboard', $storage_definition);
}
